from random import *

def est_dope(p):
  if random() < p:
    return 1
  else:
    return 0

def test_positif(dope):
  if dope == 1:
    if random() < 0.94:
      return 1
  else:
    if random() < 0.04:
      return 1
  return 0

def simulations(p):
  nb_dopes = 0
  nb_tests_positifs = 0
  nb_dopes_positifs = 0

  for sportif in range(2500):
    dope = est_dope(p)
    positif = test_positif(dope)
    dope_positif = dope*positif

    nb_dopes = nb_dopes + dope
    nb_tests_positifs = nb_tests_positifs + positif
    nb_dopes_positifs = nb_dopes_positifs + dope*positif

  return nb_dopes_positifs/nb_tests_positifs

